------------------------------------------------------------------------------
-- SellableItemDrops - Logging your sellable item drops
------------------------------------------------------------------------------
-- Changelog.lua
--
-- Author: Expelliarm5s / August 2022 / All Rights Reserved
--
-- Version 1.4.26
------------------------------------------------------------------------------
-- luacheck: max line length 280

local _, addon = ...
------------------------------------------------------------------------------

addon.Changelog = {}

addon.Changelog.Changelog =
[[

## Changelog ##

v0.3.4 .. v0.3.10: TSM3-Module
v0.4.7:
 - Rewrite as standalone addon and compatible with UJ, TSM 3 and 4.
v0.4.8:
 - Fix: deleting items mit Alt-Right-Click / update item lists if GetItemInfo() failed
 - New: extra vendorsell item list option and a lesser size if shrinked
v0.4.9:
 - Fix EditBox widget use
v0.4.11:
 - Auctioning items at AH directly from bags tab using Auctionator and Fix for 8.2.x
v0.4.12:
 - updated soundfile FileDataIDs due to the removal of file paths
v0.4.13:
 - fixing Tooltip and Sound for Classic
v0.4.15:
 - Update for 8.2.5 and a new Stacked View mode
v0.4.15:
 - in Classic: can now use Booty Bay Gazette and Auction House Database as price source
v0.4.16:
 - Fix for broken TSM4 API
v0.4.17:
 - fully luachecked, cleaned libs, fixed some leaked globals, update for 8.3 and 1.13.3
v1.4.19:
 - newer libs, changed tab creation, new debug code, 9.0/Shadowlands comp.
v1.4.20:
 - newer libs, tooltip handlers, widget updates, UI fixes
v1.4.21:
 - newer libs, OribosExchange price source, fixed SoundWidget in Classic, fixed Vendorsell
v1.4.22:
 - newer libs, TOC, 1.13.7/2.5.1/9.0.5
v1.4.23:
 - TOC 9.1.0, Rotate through prices sources with click
v1.4.24:
 - TOC 9.2.5/2.5.4/1.14.3
v1.4.25:
 - TOC 9.2.5/3.4.0/2.5.4/1.14.3
 - Font fixes
v1.4.26:
 - TOC 9.2.7/3.4.0/2.5.4/1.14.3
 ]]

addon.Changelog.ToDo =
[[

## Things To Do ##
- better vendorsell itemlists
- redoo shrink stuff
- count real instance resets with timer
- key = Item:GetItemInfo(val) stuff
- convert and/or import old data, clean up variables
- more Tabs: Bank/Guild Bank/Tools/Statistics/Search/Export
]]

addon.Changelog.infotext =
[[
SellableItemDrops logs name, time, location and market values of dropped items.

Sellable Item Drops provides a sortable list of all dropped items to identify rewarding farm locations or to document found items for yourself or others.

Market values are based on a selectable Trade Skill Master or The Undermine Journal or Booty Bay Gazette or Auction House DataBase price source.

The current session data can be archived in a database and that database of previous sessions can be searched for items and more.

Sellable Item Drops is helpful during competitive Transmog Challenge runs or when farming instances or locations to track the accumulated market value of all dropped items over a given time period.

In Stacked View mode all dropped, same items are combined and their market values are displayed summed up.

Looted BOP pet items will display the appropriate value for the caged pet.

SellableItemDrops works without any additional addons and then displays the vendor sell value of the items.

However, it may also use price sources from The Undermine Journal or Booty Bay Gazette or Auction House DataBase or Trade Skill Master Version 3 or 4. If TSM is used, the TSM Desktop App should also be installed for price source 'DBRegionMarketAvg' to be available.

The interface opens with /sid. Addon options are configured through the normal game options interface.

You can find me as Expelliarm5s on Curse.com/Curseforge.com and Twitch for suggestions and comments.
]]

addon.Changelog.infotextdeDE =
[[
SellableItemDrops protokolliert Name, Zeit, Ort und Marktwert aller gedroppten Items.

SellableItemDrops zeigt in einer sortierbaren Liste alle gedroppten Items an, um lohnende Farmstandorte zu identifizieren oder gefundene Gegenstände für sich selbst oder andere zu dokumentieren.

Über eine integrierte Chronik können auch die Ergebnisse vergangener Sitzungen angezeigt werden.

SellableItemDrops funktioniert auch ganz ohne andere Addons und zeigt dann den Händlerverkaufswert der Items an.

Allerdings kann auch eine Preisquelle ausgewählt werden, die Trade Skill Master oder The Undermine Journal oder Booty Bay Gazette oder Auction House DataBase zur Verfügung stellt.

Beim Aufheben gebundene Haustier-Items werden erkannt und der Marktwert des entsprechenden 'eingepackten' Haustiers wird angezeigt.

Die Schnittstelle wird mit / sid geöffnet. Addon-Optionen werden über die normale Spieloptionsoberfläche konfiguriert.

Für Wünsche und Fragen bin ich als Expelliarm5s auf Curseforge.com und Twitch zu erreichen.
]]

-- EOF
